/**
 * Copyright (c) 2014,2017 Contributors to the Eclipse Foundation
 * 
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 * 
 * SPDX-License-Identifier: EPL-2.0
 */
package org.eclipse.smarthome.model.persistence;

import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.resource.Resource;
import org.eclipse.smarthome.model.persistence.PersistenceStandaloneSetupGenerated;
import org.eclipse.xtext.resource.IResourceServiceProvider;

/**
 * Initialization support for running Xtext languages
 * without equinox extension registry
 */
@SuppressWarnings("all")
public class PersistenceStandaloneSetup extends PersistenceStandaloneSetupGenerated {
  public static void doSetup() {
    new PersistenceStandaloneSetup().createInjectorAndDoEMFRegistration();
  }
  
  public static void unregister() {
    EPackage.Registry.INSTANCE.remove("http://www.eclipse.org/smarthome/model/Persistence");
    Resource.Factory.Registry.INSTANCE.getExtensionToFactoryMap().remove("persist");
    IResourceServiceProvider.Registry.INSTANCE.getExtensionToFactoryMap().remove("persist");
  }
}
